import request from '@/utils/request.js'

export const getSiteList = (params) => {
  return request({
    url: '/tunnel/site/screen/list',
    method: 'get',
    params
  })
}
export const getSiteDetail = (siteId) => {
  return request({
    url: `/tunnel/site/${siteId}`,
    method: 'get'
  })
}
export const editSite = (data) => {
  return request({
    url: '/tunnel/site',
    method: 'put',
    data
  })
}
export const addSite = (data) => {
  return request({
    url: '/tunnel/site',
    method: 'post',
    data
  })
}
export const deleteSite = (siteIdList) => {
  return request({
    url: `/tunnel/site/delete/${siteIdList}`,
    method: 'delete'
  })
}
